<?php

namespace App\Events\Accounts;

use App\Models\UserInvitation;
use Illuminate\Queue\SerializesModels;

class UserInvited implements UserEvent {
    use SerializesModels;

    /** @var UserInvitation */
    private $invitation;

    /**
     * @param UserInvitation $invitation
     */
    public function __construct(UserInvitation $invitation) {
        $this->invitation = $invitation;
    }

    /**
     * @return UserInvitation
     */
    public function getData(): UserInvitation
    {
        return $this->invitation;
    }

}
